::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

::-webkit-scrollbar-thumb {
    background: #52526B;
    border-radius: 9px;
}

::-webkit-scrollbar-thumb:hover {
    background: #16162A;
}

::-webkit-scrollbar-track {
    background: #FFFFFF;
    border-radius: 9px;
    box-shadow: inset 0px 0px 0px 0px #F0F0F0;
}

.MainPageContainer {
    border: 1px solid #52526B;
    border-radius: 8px;
    padding: 2rem;

}

.SubTitleText {
    color: #8E8EA3;
    font-weight: 300;
    font-size: 12px;
    line-height: 16px;
    margin-top: -2rem;

}

.TitleText {
    color: #f3f3f3;
    font-weight: 600;
    font-size: 18px;
    line-height: 24px;
    margin-bottom: 2rem;
}

.InfoText {
    color: #f3f3f3;
    font-size: 13px;
    line-height: 18px;

}

.MainContainer {
    margin: 0rem;
    min-height: 100vh;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    // flex-direction: row;
    background: #16162A;

    .switchPageButton {
        display: flex;

        #LoginButton {
            margin: 0 2rem 0 1rem;
            color: #f3f3f3;
            cursor: pointer;

        }
    }

}

.ActiveLine {
    width: auto;
    height: 4px;
    background: linear-gradient(90deg, #563EEE 0%, #5C7AE5 100%);
}

.InfoLeft {
    width: 100%;
}

.CoverImage {
    height: 20rem;
    width: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background: #16162A;
}

.TitleTopContainer {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;

    img {
        cursor: pointer;

    }

}

.UserContainer {
    height: 100%;
    width: 80%;
    padding: 2rem;
    margin: -6.5rem 0 0 0;
    background-color: #16162A;
    border-radius: 10px;

    .UserSeperateLine {
        width: auto;
        height: 1px;
        background: #52526B;
        margin-bottom: 4rem;
    }


}

.LogoutButton {
    display: flex;
    justify-content: flex-end;
}

.changeCoverButton {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 118px;
    height: 26px;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 12px;
    border: none;
    color: #FFFFFF;
    font-size: 12px;
    line-height: 18px;
    font-family: 'Poppins', sans-serif;
}

.FormInput {
    background-color: transparent;
    font-family: 'Roboto', sans-serif;
    color: #f3f3f3;
    border-radius: 6px;
    border-color: #5C7AE5;
    margin: 0.5rem 0 2rem 0;

    &:hover,
    &:target,
    &:visited,
    &:active,
    &:focus,
    &:focus-visible,
    &:focus-within {
        background-color: transparent;
        color: #f3f3f3;

    }
}

#PilihSatuan {
    background-color: transparent;
    margin-bottom: 0.5rem;
    padding-left: 0.5rem;
    border-color: #5C7AE5;

    width: 100%;
    color: #f3f3f3;
    font-size: 18px;
    line-height: 28px;

    &:hover,
    &:active {
        background-color: transparent;
        color: #16162A;
    }
}


.ButtonCell {
    display: flex;
    flex-direction: row;
    background-color: transparent;
    justify-content: space-between;
    margin: 6rem 0 6rem 0;

    .LoginButton {
        background-color: #EAEAFF;
        border-radius: 5px;
        border-color: #818191;
        width: 109px;
        height: 48px;
        font-size: 16px;
        line-height: 24px;
        color: #16162A;

        &:hover,
        &:target,
        &:visited,
        &:active,
        &:focus,
        &:focus-visible,
        &:focus-within {
            background-color: #EAEAFF;
            border-color: #818191;
            outline: none;
            color: #16162A;
        }
    }

    .ResetButton {
        background-color: transparent;
        border-radius: 5px;
        border-color: #818191;
        width: 109px;
        height: 48px;
        font-size: 16px;
        line-height: 24px;
        color: #F3F3F3;

        &:hover,
        &:target,
        &:visited,
        &:active,
        &:focus,
        &:focus-visible,
        &:focus-within {
            background-color: transparent;
            border-color: #818191;
            outline: none;
            color: #f3f3f3;
        }

    }
}

.TableList {
    display: flex;
    justify-content: center;

    .ContentContainer {
        width: 100%;
        max-width: 768px;
        // display: flex;
        color: #f3f3f3;
        flex-direction: row;
        justify-content: center;

    }

}


@media screen and (max-width: 425px) {
    .UserContainer {
        width: 80%;
        padding: 1rem;
        margin: -6.5rem 0rem 0 0rem;


    }

    .MainContainer {
        flex-direction: column;

        .switchPageButton {

            flex-direction: column;

           
        }
    }
}

.mappingContainer {
    display: flex;
}

.mappingBox {
    flex-wrap: wrap;
    display: flex;
    justify-content: center;

    // background-color: aqua;
    // margin: 1rem;
    //  max-width: 7rem;
    //  min-width: 5rem;
    .box {

        // display: flex;
        border: 1px solid #5C7AE5;
        overflow: auto;
        box-shadow: 0px 0px 10px 1px #5C7AE5;
        width: 15rem;
        height: 6.5rem;
        // background-color: aqua;
        margin: 0.5rem;
        border-radius: 10px;
        padding: 0.5rem;
        cursor: pointer;

    }
    .boxTracker{
        border: 1px solid #5C7AE5;
        width: auto;
        height: auto;
        cursor: pointer;
        padding: 1rem;
        margin:1rem;
        border-radius: 10px;
        color: #F3F3F3;




    }

}

.ColumnContentNumber {
    display: flex;
    justify-content: flex-end;


}

.TitleBox {
    display: flex;
    width: 100%;
    justify-content: center;
}